Metaproperties
Retrieve metaproperties
Retrieve a list of metaproperties.
get
https://{your-bynder-domain}/api/pim/metaproperties
Response
200 application/json
Response
200 application/json
Successfully retrieved metaproperties
array[string]
get/api/pim/metaproperties
Authentication
200 application/json
Retrieve specific metaproperty
Retrieve the details of a specific metaproperty.
get
https://{your-bynder-domain}/api/pim/metaproperties/{id}
Path Parameters
idstringrequired
Example:00000000-0000-0000-0000-0000000000000000
Response
200 application/json
Response
200 application/json
Successfully retrieved specific metaproperty
descriptionstring
Example:Metaproperty for Product A
idstring
Example:00000000-0000-0000-0000-000000000000
labelstring
Example:Product A
mp_optionsarray[object]
Show Child Parameters
namestring
Example:Product A
get/api/pim/metaproperties/{id}
Authentication
Path Parameters
200 application/json
Options
Retrieve metaproperty options
Retrieve a paginated list of options for the given metaproperty id.
get
https://{your-bynder-domain}/api/pim/metaproperties/{id}/options
Query Parameters
orderstring
Allowed values:ascdesc
Example:asc
pageinteger
Example:1
limitinteger
Example:20
Path Parameters
idstringrequired
Example:00000000-0000-0000-0000-0000000000000000
Response
200 application/json
Response
200 application/json
Successfully retrieved metaproperty options
descriptionstring
Example:Metaproperty option 1 for Product A
idstring
Example:00000000-0000-0000-0000-000000000000
labelstring
Example:Product A option 1
metapropertyidstring
Example:00000000-0000-0000-0000-000000000000
namestring
Example:Product A option 1
product_optionsarray[object]
Show Child Parameters
get/api/pim/metaproperties/{id}/options
Authentication
Path Parameters
Query Parameters
200 application/json